fix: exchange the wrong order of version and group